X
Tap here to go to the mobile version of the site.

Support Forum

Roboform toolbar disappeared from Firefox 22. Worked fine with Firefox 21

Posted

Firefox updated to v.22 today and the Roboform toolbar is nowhere to be seen. It is in add-ons and enabled, but not visible through toolbars or as the icon to customize toolbars. All was well with Firefox 21. There appears to be a compatibility problem between Roboform and Firefox 22. Installed version is Roboform v. 7.8.9.5. Please work with them and issue an update. We're stuck without it!

Meanwhile, do you have any suggestions about how to get this working? Reinstalling RF didn't make any difference.

Firefox updated to v.22 today and the Roboform toolbar is nowhere to be seen. It is in add-ons and enabled, but not visible through toolbars or as the icon to customize toolbars. All was well with Firefox 21. There appears to be a compatibility problem between Roboform and Firefox 22. Installed version is Roboform v. 7.8.9.5. Please work with them and issue an update. We're stuck without it! Meanwhile, do you have any suggestions about how to get this working? Reinstalling RF didn't make any difference.

Chosen solution

I just upgraded to Roboform 7.9.0.0 and toolbar is working fine with FF22 and Win7. BigRinOz

Read this answer in context 4

Additional System Details

Installed Plug-ins

  • Next Generation Java Plug-in 10.25.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Shockwave Flash 11.7 r700
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.03
  • Google Update
  • GEPlugin
  • iTunes Detector Plug-in
  • Adobe Shockwave for Director Netscape plug-in, version 12.0.2.122
  • Picasa plugin
  • Amazon MP3 Downloader Plugin 1.0.17
  • RealJukebox Netscape Plugin
  • RealNetworks(tm) RealPlayer Chrome Background Extension Plug-In
  • RealPlayer(tm) HTML5VideoShim Plug-In
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealPlayer Download Plugin
  • Google Updater pluginhttp://pack.google.com/
  • Cooliris embedded in a tab
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin

Application

  • Firefox 22.0
  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:22.0) Gecko/20100101 Firefox/22.0
  • Support URL: http://support.mozilla.org/1/firefox/22.0/WINNT/en-US/

Extensions

  • Adblock Plus 2.2.4 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • BetterPrivacy 1.68 ({d40f5e7b-d2cf-4856-b441-cc613eeffbe3})
  • DoNotTrackMe 2.2.9.618 (donottrackplus@abine.com)
  • Googlebar Lite 4.9.8 ({79c50f9a-2ffe-4ee0-8a37-fae4f5dacd4f})
  • RoboForm Toolbar for Firefox 7.8.9.5 ({22119944-ED35-4ab1-910B-E619EA06A115})
  • Save Text To File 1.1.4 (HighlightedTextToFile@bobbyrne01.org)
  • Send Link in context menu 0.3 (sendlinkincontextmenu@jasnapaka.com)
  • Status-4-Evar 2013.02.16.23 (status4evar@caligonstudios.com)
  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • WOT 20130515 ({a0d7ccb3-214d-498b-b4aa-0e8fda9a7bf7})
  • Microsoft .NET Framework Assistant 0.0.0 ({20a82645-c095-46ed-80e3-08825760534b}) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: 256MB ATI Radeon X1300PRO
  • adapterDescription2:
  • adapterDeviceID: 0x7183
  • adapterDeviceID2:
  • adapterDrivers: ati2dvag
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterVendorID: 0x1002
  • adapterVendorID2:
  • direct2DEnabled: False
  • direct2DEnabledMessage: [u'tryNewerDriver', u'10.6']
  • directWriteEnabled: False
  • directWriteVersion: 0.0.0.0
  • driverDate: 3-12-2009
  • driverDate2:
  • driverVersion: 8.593.0.0
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'none'}
  • isGPU2Active: False
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'tryNewerDriver', u'10.6']
  • numTotalWindows: 1
  • webglRendererMessage: [u'tryNewerDriver', u'10.6']
  • windowLayerManagerType: Basic

Modified Preferences

  • accessibility.tabfocus: 5
  • accessibility.typeaheadfind: True
  • accessibility.typeaheadfind.flashBar: 0
  • browser.cache.disk.capacity: 30720
  • browser.cache.disk.parent_directory: C:\Documents and Settings\Steven & Judy Kazan\Application Data\Mozilla\Profiles\skazan\8to6gq7v.slt
  • browser.cache.disk.smart_size.enabled: False
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size.use_old_max: False
  • browser.display.screen_resolution: 96
  • browser.fixup.alternate.enabled: False
  • browser.history_expire_days.mirror: 11
  • browser.places.importBookmarksHTML: False
  • browser.places.importDefaults: False
  • browser.places.leftPaneFolderId: -1
  • browser.places.migratePostDataAnnotations: False
  • browser.places.smartBookmarksVersion: 4
  • browser.places.updateRecentTagsUri: False
  • browser.search.useDBForOrder: True
  • browser.startup.homepage: http://www.google.com/
  • browser.startup.homepage_override.buildID: 20130618035212
  • browser.startup.homepage_override.mstone: 22.0
  • browser.tabs.autoHide: True
  • browser.tabs.loadGroup: 0
  • browser.tabs.loadInBackground: False
  • browser.tabs.onTop: False
  • dom.ipc.plugins.enabled.npcoolirisplugin.dll: False
  • dom.mozApps.used: True
  • dom.w3c_touch_events.expose: False
  • extensions.lastAppVersion: 22.0
  • font.internaluseonly.changed: False
  • font.name.fantasy.x-western: Algerian
  • general.useragent.contentlocale:
  • gfx.blacklist.suggested-driver-version: 10.6
  • keyword.URL: http://www.google.com/search?q=
  • network.cookie.cookieBehavior: 1
  • network.cookie.p3p: frfradaa
  • network.cookie.p3plevel: 2
  • network.cookie.prefsMigrated: True
  • network.ftp.anonymous_password:
  • network.http.max-connections: 96
  • network.http.max-connections-per-server: 32
  • network.http.max-persistent-connections-per-server: 8
  • network.http.pipelining: True
  • network.http.pipelining.maxrequests: 8
  • network.http.pipelining.ssl: True
  • network.http.proxy.pipelining: True
  • places.database.lastMaintenance: 1372116817
  • places.history.expiration.transient_current_max_pages: 87178
  • places.history.expiration.transient_optimal_database_size: 139483216
  • places.last_vacuum: 1306520068
  • plugin.disable_full_page_plugin_for_types: audio/AMR,audio/aac,audio/x-aac,application/pdf
  • plugin.importedState: True
  • privacy.clearOnShutdown.cookies: False
  • privacy.clearOnShutdown.downloads: False
  • privacy.clearOnShutdown.formdata: False
  • privacy.clearOnShutdown.history: False
  • privacy.clearOnShutdown.sessions: False
  • privacy.cpd.cookies: False
  • privacy.cpd.downloads: False
  • privacy.cpd.extensions-betterprivacy: False
  • privacy.cpd.formdata: False
  • privacy.cpd.history: False
  • privacy.cpd.sessions: False
  • privacy.donottrackheader.enabled: True
  • privacy.item.downloads: False
  • privacy.item.formdata: False
  • privacy.item.history: False
  • privacy.item.sessions: False
  • privacy.popups.first_popup: False
  • privacy.popups.prefill_whitelist: False
  • privacy.popups.remove_blacklist: False
  • privacy.sanitize.migrateFx3Prefs: True
  • privacy.sanitize.timeSpan: 0
  • security.default_personal_cert: Select Automatically
  • security.disable_button.changePassword: False
  • security.disable_button.openCertManager: False
  • security.disable_button.openDeviceManager: False
  • security.disable_button.resetPassword: False
  • security.OCSP.disable_button.managecrl: False
  • security.OCSP.signingCA:
  • security.OCSP.URL:
  • security.warn_entering_weak: False
  • security.warn_viewing_mixed: False
  • storage.vacuum.last.index: 1
  • storage.vacuum.last.places.sqlite: 1370815178

Misc

  • User JS: No
  • Accessibility: Yes
user66338 58 solutions 452 answers

Helpful Reply

Please refer to this article which explains how to downgrade to Firefox 21 or read the Install an older version of Firefox on how to downgrade.

--Tobbi

Please refer to [https://support.mozilla.org/de/questions/959724#answer-437593 this article] which explains how to downgrade to Firefox 21 or read the [[Installing a previous version of Firefox]] on how to downgrade. --Tobbi
jscher2000
  • Top 10 Contributor
8695 solutions 71066 answers

Edit: Underpromise and overdeliver? The update is out already according to their FB page:

RoboForm Password Manager
4 minutes ago via mobile
RoboForm version 7.9.0 has been released and works with Firefox 22. Please download the update from our website at http://www.roboform.com/download.

The word on their Facebook page as of an hour ago is that it will be 1-2 weeks before Roboform is updated for Firefox 22. I can't understand why it is expected to take so long.

''Edit: Underpromise and overdeliver? The update is out already according to their FB page:'' <blockquote>'''RoboForm Password Manager'''<br> 4 minutes ago via mobile<br> RoboForm version 7.9.0 has been released and works with Firefox 22. Please download the update from our website at [http://www.roboform.com/download].</blockquote> ---- The word on their [https://www.facebook.com/RoboForm Facebook page] as of an hour ago is that it will be 1-2 weeks before Roboform is updated for Firefox 22. I can't understand why it is expected to take so long.

Modified by jscher2000

Question owner

Thank you, Tobbi. That solved it for now. At least I have Roboform back and will update FF once RF releases a compatibility update.

Roboform's response was : "RoboForm is not currently compatible with the recent full release of Firefox 22, we are working on a compatibility release however we do not have a eta on deployment. If possible please downgrade to Firefox 21 using the Firefox 21 installer from Mozilla's website to continue to use RoboForm in Firefox until our release is made available to address these compatibility issues"

Thank you, Tobbi. That solved it for now. At least I have Roboform back and will update FF once RF releases a compatibility update. Roboform's response was : "RoboForm is not currently compatible with the recent full release of Firefox 22, we are working on a compatibility release however we do not have a eta on deployment. If possible please downgrade to Firefox 21 using the Firefox 21 installer from Mozilla's website to continue to use RoboForm in Firefox until our release is made available to address these compatibility issues"
StephenGates 0 solutions 1 answers

I getting ready to try to go back to firefox 21 , i tried once already and didn't work... However I going to read the article and try agian ! I also notice I could not sign into Youtube with the new browser update !

I getting ready to try to go back to firefox 21 , i tried once already and didn't work... However I going to read the article and try agian ! I also notice I could not sign into Youtube with the new browser update !
magnumquick 2 solutions 15 answers

Same issues, RoboForm stopped working completely after upgrading to v. 22, I must manually input all user names & passwords. I am getting so frustrated with Firefox, last update (v.21) had issues with a coupon printer from coupons.com, now my RoboForm quit with the latest update. My fix, downgraded FF to v.21, all good now, security issues be damned. When FF and RoboForm get their act together I will upgrade.

Same issues, RoboForm stopped working completely after upgrading to v. 22, I must manually input all user names & passwords. I am getting so frustrated with Firefox, last update (v.21) had issues with a coupon printer from coupons.com, now my RoboForm quit with the latest update. My fix, downgraded FF to v.21, all good now, security issues be damned. When FF and RoboForm get their act together I will upgrade.
philipp
  • Top 25 Contributor
  • Moderator
5306 solutions 23424 answers

roboform has released version 7.9.0.0 of its toolbar for firefox which should fix the compatibility issue,

roboform has released version 7.9.0.0 of its toolbar for firefox which should fix the compatibility issue,
magnumquick 2 solutions 15 answers

Roboform released a new version of their program 7.9.0.0 if that is what you are talking about, however it still does not support FF v.22 acording to their release notes. I wouldn't care to purchase a new program anyway just to use the latest Firefox.

Roboform released a new version of their program 7.9.0.0 if that is what you are talking about, however it still does not support FF v.22 acording to their release notes. I wouldn't care to purchase a new program anyway just to use the latest Firefox.
jscher2000
  • Top 10 Contributor
8695 solutions 71066 answers

Hi magnumquick, Roboform says on their Facebook page that 7.9.0.0 "works with Firefox 22." Is that not your experience, or have you been getting by with version 6 all this time?

Hi magnumquick, Roboform says on their Facebook page that 7.9.0.0 "works with Firefox 22." Is that not your experience, or have you been getting by with version 6 all this time?
magnumquick 2 solutions 15 answers

This is my experience, as of yesterday the Roboform website stated in the specs that 7.9.0.0 would not work with FF v.22. This may be fixed at anytime but I will not continue to install/uninstall FF due to conflicts. Software developers continue to pass off issues to the consumer and expect them to find a solution and Mozilla is not alone in this, this is bogus. It's simple, you want me to continue to use your product then continue to make sure it integrates with other programs such as Roboform. I am not a fan of I.E. but at least there were very few issues like this, I continually get some conflict when Mozilla releases an updated version. I will stay with v.21 until I see reports from other users that FF v.22 has no conflicts, good luck.

This is my experience, as of yesterday the Roboform website stated in the specs that 7.9.0.0 would not work with FF v.22. This may be fixed at anytime but I will not continue to install/uninstall FF due to conflicts. Software developers continue to pass off issues to the consumer and expect them to find a solution and Mozilla is not alone in this, this is bogus. It's simple, you want me to continue to use your product then continue to make sure it integrates with other programs such as Roboform. I am not a fan of I.E. but at least there were very few issues like this, I continually get some conflict when Mozilla releases an updated version. I will stay with v.21 until I see reports from other users that FF v.22 has no conflicts, good luck.
aldkopp48 0 solutions 2 answers

I was still fighting the FF22 no roboform toolbar. Decided to try FF23b1 and still no luck. Checked out RF 7.9.0.0 and it worked with FF23b1. I haven't had other issues with FF.

I was still fighting the FF22 no roboform toolbar. Decided to try FF23b1 and still no luck. Checked out RF 7.9.0.0 and it worked with FF23b1. I haven't had other issues with FF.
the-edmeister
  • Top 25 Contributor
  • Moderator
5398 solutions 40149 answers

It is foolish to expect Roboform to work with Beta versions of Firefox (if it does, consider your self lucky ) - they don't support Beta.

Hell, it seems that Roboform has enough trouble having their stuff ready for the Firefox releases dates. For some reason having 24 weeks notice about a new release date isn't enough notice for them.

It is foolish to expect Roboform to work with '''Beta''' versions of Firefox ''(if it does, consider your self lucky )'' - they don't support '''Beta'''. Hell, it seems that Roboform has enough trouble having their stuff ready for the Firefox releases dates. For some reason having 24 weeks notice about a new release date isn't enough notice for them.

Helpful Reply

I would NEVER knowingly use a Beta version of FF or any other program. The problem arose with the FF release of v.22. As I stated in my follow-up at 3:00p on 6/25, when I contacted RF's tech support I was told that they were aware of the problem and would be posting an update, which they did the next morning. It's worked fine for me and everyone I know.

Tobbi and Phillip both posted helpful and informative solutions.

I don't know why this issue remains open, as the solution - that RF has released v. 7.9.0.0 - is the resolution of the problem.

I would NEVER knowingly use a Beta version of FF or any other program. The problem arose with the FF release of v.22. As I stated in my follow-up at 3:00p on 6/25, when I contacted RF's tech support I was told that they were aware of the problem and would be posting an update, which they did the next morning. It's worked fine for me and everyone I know. Tobbi and Phillip both posted helpful and informative solutions. I don't know why this issue remains open, as the solution - that RF has released v. 7.9.0.0 - is the resolution of the problem.
BigRInOz 1 solutions 2 answers

Chosen Solution

I just upgraded to Roboform 7.9.0.0 and toolbar is working fine with FF22 and Win7. BigRinOz

I just upgraded to Roboform 7.9.0.0 and toolbar is working fine with FF22 and Win7. BigRinOz
dalchina 1 solutions 12 answers

No compatibility check warning about Roboform 7.7 not being compatible.. no warning.. nada. Hasn't enough been said to even make that happen?

I fail to see why Firefox has to make itself incompatible with an add-on like this. Took a bit of searching to check my guess.

Wonder what happens when Pale Moon (Firefox derivative) updates similarly. Now, how do you turn off auto updates...

No compatibility check warning about Roboform 7.7 not being compatible.. no warning.. nada. Hasn't enough been said to even make that happen? I fail to see why Firefox has to make itself incompatible with an add-on like this. Took a bit of searching to check my guess. Wonder what happens when Pale Moon (Firefox derivative) updates similarly. Now, how do you turn off auto updates...
FOXYSTORMIN 2 solutions 27 answers

I was having the SAME issue.

How DID I fix it?

1) Completely uninstall ROBOFORM and make sure you get rid of the REGISTRY entries as well. Between REVO and CC cleaner, my registry was cleaned AND THEN I reinstalled RF 7.9.0.0 and FINALLY it works with FF 22.0.

YIPPEE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

I was having the SAME issue. How DID I fix it? 1) Completely uninstall ROBOFORM and make sure you get rid of the REGISTRY entries as well. Between REVO and CC cleaner, my registry was cleaned AND THEN I reinstalled RF 7.9.0.0 and FINALLY it works with FF 22.0. YIPPEE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
phil01 0 solutions 3 answers

Thanks for the info. Reinstalling V21 worked for me and the Roboform toolbar popped back up immediately.

Interestingly, I had already set my Auto Update to "Ask before Updating" but Firefox still updated to V22.

Thanks again

Mitch

Thanks for the info. Reinstalling V21 worked for me and the Roboform toolbar popped back up immediately. Interestingly, I had already set my Auto Update to "Ask before Updating" but Firefox still updated to V22. Thanks again Mitch
dalchina 1 solutions 12 answers

Roboform 7.9 works with FF22, (and Pale Moon 20) thankfullly.

Phil01- which version of Roboform are you using?

Roboform 7.9 works with FF22, (and Pale Moon 20) thankfullly. Phil01- which version of Roboform are you using?
jscher2000
  • Top 10 Contributor
8695 solutions 71066 answers

Hi dalchina, the Firefox compatibility check is limited: it's useful as far as it goes.

It definitely checks whether the extension is marked as only working with a particular range of Firefox versions, and will try to find updates for those on the Mozilla Add-ons site.

However, the compatibility checker generally cannot detect that an add-on doesn't work correctly in the new version of Firefox, and it has very limited access to information on programs that are not distributed through the Mozilla Add-ons site.

Hi dalchina, the Firefox compatibility check is limited: it's useful as far as it goes. It definitely checks whether the extension is marked as only working with a particular range of Firefox versions, and will try to find updates for those on the Mozilla Add-ons site. However, the compatibility checker generally cannot detect that an add-on doesn't work correctly in the new version of Firefox, and it has very limited access to information on programs that are not distributed through the Mozilla Add-ons site.
phil01 0 solutions 3 answers

Hi. I am using RF V7.7.8.8

I am not a tekky but I found it very easy to load FF V21

regards

Mitch

Hi. I am using RF V7.7.8.8 I am not a tekky but I found it very easy to load FF V21 regards Mitch
FOXYSTORMIN 2 solutions 27 answers

I'm now using RF 7.9.0.0 and FF version 22.0 with no problems.

NORM

I'm now using RF 7.9.0.0 and FF version 22.0 with no problems. NORM